﻿using UnityEngine;
using System.Collections;

public class WeaponBass : MonoBehaviour {
	public float range = 5.0f;
	public AudioClip sound;

	void Start ()
	{
		AudioSource.PlayClipAtPoint(sound, transform.position);
		Collider2D[] hits = Physics2D.OverlapCircleAll(transform.position, range);
		for (var i = 0; i < hits.Length; ++i)
		{
			var hit = hits[i];
			var enemy = hit.gameObject.GetComponent<EnemyController>();
			if (enemy)
				enemy.DoDamage();
		}
	}
}
