﻿using UnityEngine;
using System.Collections;

public class WeaponPickup : MonoBehaviour
{
	public WeaponKind kind;
	public int amount = 5;
	public float fadeTime = 1.0f;
	
	public void OnTriggerEnter2D(Collider2D other)
	{
		var player = PlayerController.instance;
		if (!player)
			return;
		if (player.transform != other.transform)
			return;

		WeaponSystem.instance.PickupWeapon(kind, amount);
		Fader.StartFade(gameObject, fadeTime);
	}
}
